package cn.com.poc.message.entity;

import cn.com.poc.thirdparty.resource.demand.ai.entity.knowledge.SegmentationConfigRequest;
import cn.com.poc.thirdparty.resource.demand.ai.entity.qaknowledge.QAKnowledgeConfig;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

public class TrainKnowledgeMessage implements Serializable {

    private Integer knowledgeInfoId;

    private Integer kid;

    private String fileUrl;

    private Map<Integer, Integer> reduced;

    private String knowledgeType;
    private SegmentationConfigRequest segmentationConfig;

    private List<QAKnowledgeConfig> qaKnowledgeConfigList;


    public String getKnowledgeType() {
        return knowledgeType;
    }

    public void setKnowledgeType(String knowledgeType) {
        this.knowledgeType = knowledgeType;
    }

    public List<QAKnowledgeConfig> getQaKnowledgeConfigList() {
        return qaKnowledgeConfigList;
    }

    public void setQaKnowledgeConfigList(List<QAKnowledgeConfig> qaKnowledgeConfigList) {
        this.qaKnowledgeConfigList = qaKnowledgeConfigList;
    }

    public Integer getKnowledgeInfoId() {
        return knowledgeInfoId;
    }

    public void setKnowledgeInfoId(Integer knowledgeInfoId) {
        this.knowledgeInfoId = knowledgeInfoId;
    }

    public SegmentationConfigRequest getSegmentationConfig() {
        return segmentationConfig;
    }

    public void setSegmentationConfig(SegmentationConfigRequest segmentationConfig) {
        this.segmentationConfig = segmentationConfig;
    }

    public Map<Integer, Integer> getReduced() {
        return reduced;
    }

    public void setReduced(Map<Integer, Integer> reduced) {
        this.reduced = reduced;
    }

    public Integer getKid() {
        return kid;
    }

    public void setKid(Integer kid) {
        this.kid = kid;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    @Override
    public String toString() {
        return "TrainKnowledgeMessage{" +
                "kid=" + kid +
                ", fileUrl='" + fileUrl + '\'' +
                ", reduced=" + reduced +
                ", segmentationConfig=" + segmentationConfig +
                '}';
    }
}
